Skip to content
Browse files

Use correct openssl libs and includes in pkgconfig file

Previously we were saying -lssl -lcrypto unconditionally when
we should have been saying OPENSSL_LIBS.

Based on a patch from Patrick Pelletier
  • Loading branch information...
1 parent 09a8d23 commit d70af27d0152d0a87a25127faf215604beb8ffe0 Nick Mathewson committed Nov 16, 2012
Showing with 2 additions and 2 deletions.
  1. +2 −2 libevent_openssl.pc.in
View
4 libevent_openssl.pc.in
@@ -11,6 +11,6 @@ Version: @VERSION@
Requires: libevent
Conflicts:
Libs: -L${libdir} -levent_openssl
-Libs.private: @LIBS@ -lssl -lcrypto
-Cflags: -I${includedir}
+Libs.private: @LIBS@ @OPENSSL_LIBS@
+Cflags: -I${includedir} @OPENSSL_INCS@

0 comments on commit d70af27

Please sign in to comment.
Something went wrong with that request. Please try again.